%define upstream_name File_Ogg
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.1
Release:     	%mkrel 1
Summary:    	Retrieves metadata from Ogg files
License: 	LGPL v2
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_Ogg-%{version}.tgz
URL: 		http://pear.php.net/package/File_Ogg
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Decodes Ogg file headers to provide metadata. Supports Vorbis, 
Theora, Speex and FLAC stream headers. This package does 
NOT provide codecs for these formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Ogg.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Ogg.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_Ogg
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/File_Ogg.xml


%changelog

* Mon Mar 05 2012 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 218433
- upgrade to 0.3.1
  pearized spec

* Tue Feb 01 2011 spuhler <spuhler> 0.2.1-6.mga1
+ Revision: 45679
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_Ogg

